package model;


import javafx.beans.property.ObjectProperty;
import javafx.beans.property.SimpleObjectProperty;

import java.util.Random;

public class Capteur implements CapteurAbstrait{

    private int id;
    private String nom;
    private ObjectProperty<Double> temp = new SimpleObjectProperty<>();

    public Capteur(int id, String nom, int pTemp){
        this.id = id;
        this.nom = nom;
        temp.setValue((double)pTemp);
    }


    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public ObjectProperty<Double> getTemp() {
        return temp;
    }

    public void setTemp(int pTemp) {
        this.temp.set((double)pTemp);
    }

    @Override
    public ObjectProperty<Double> genTemp() {
        Random random = new Random();
        this.setTemp(random.nextInt(30));
        return this.getTemp();
    }
}
