package view;

import javafx.application.Platform;
import javafx.beans.Observable;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Spinner;
import javafx.scene.control.SpinnerValueFactory;
import javafx.stage.Stage;
import model.Capteur;

import java.io.IOException;

public class ThermostatView extends CapteurView{
    private final static String fxmlfile = "view/Thermostat.fxml";

    @FXML
    Spinner<Double> spin;

    protected Capteur capteur;

    public ThermostatView(Capteur capteur, String url, String title) throws IOException {
        super(capteur,url,title);
        this.capteur = capteur;
        this.spin.setValueFactory(new SpinnerValueFactory.DoubleSpinnerValueFactory(0d,100d));
        this.spin.getValueFactory().valueProperty().bindBidirectional(this.capteur.getTemp());
        myBtn.setOnAction(e -> Platform.exit());
    }

    public void initialize() {
        //SpinnerValueFactory valueFactory = new SpinnerValueFactory.IntegerSpinnerValueFactory(capteur.getTemp(), capteur.getTemp(), capteur.getTemp());
        //spin.setValueFactory(valueFactory);

    }

}
